Change a knowledge base
curl --request PATCH \
--url https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"stella": true
}
'import requests
url = "https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}"
payload = {
"description": "<string>",
"name": "<string>",
"stella": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', name: '<string>', stella: true})
};
fetch('https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'name' => '<string>',
'stella' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"stella\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"stella\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"stella\": true\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"documents": {
"failed": 123,
"indexing": 123,
"queued": 123,
"ready": 123,
"total": 123
},
"id": "<string>",
"name": "<string>",
"source": "<string>",
"stella": true,
"updated_at": "<string>",
"workers": [
{
"id": "<string>",
"status": "<string>",
"name": "<string>"
}
],
"writable": true,
"description": "<string>"
}knowledge_bases
Change a knowledge base
Changes a knowledge base’s name, description (null clears it) or whether Stella searches it. Writes go into a knowledge base this API made or one that takes uploads in the app (writable); a connector’s is a 409. A digital worker’s own key can’t write.
PATCH
/
v1
/
knowledge_bases
/
{knowledge_base_id}
Change a knowledge base
curl --request PATCH \
--url https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"stella": true
}
'import requests
url = "https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}"
payload = {
"description": "<string>",
"name": "<string>",
"stella": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', name: '<string>', stella: true})
};
fetch('https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'name' => '<string>',
'stella' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"stella\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"stella\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/knowledge_bases/{knowledge_base_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"stella\": true\n}"
response = http.request(request)
puts response.read_body{
"created_at": "<string>",
"documents": {
"failed": 123,
"indexing": 123,
"queued": 123,
"ready": 123,
"total": 123
},
"id": "<string>",
"name": "<string>",
"source": "<string>",
"stella": true,
"updated_at": "<string>",
"workers": [
{
"id": "<string>",
"status": "<string>",
"name": "<string>"
}
],
"writable": true,
"description": "<string>"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
200 - application/json
Successful Response
Was this page helpful?